using UnityEngine;

public class EntityBehaviour : MonoBehaviour
{
	public Entity entity { get; private set; }

	public bool finished {
		get {
			return entity.IsActionFinished(this);
		}
	}

	void Awake() {
		entity = GetComponent<Entity>();
	}

	public void StopAction() {
		entity.StopAction(this);
	}
}
